LuxRender Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001628LuxRenderAPI / Pyluxpublic2016-03-22 03:252016-09-06 04:16
Reporterlumpynose 
Assigned Toneo2068 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformBlender 2.77, 64 bitOSWindows 10OS Version10
Product Version1.5 
Target VersionFixed in Version 
Summary0001628: v1.6RC1, blender 2.77, python version mismatch?
DescriptionOn blender startup I get errors about python version mismatch. The blender release notes for blender 2.77 say it uses python 3.5.1.

Read new prefs: C:\Users\Rusty Wright\AppData\Roaming\Blender Foundation\Blender\2.77\config\userpref.blend
found bundled python: C:\Program Files\Blender Foundation\Blender\2.77\python
[Lux 2016-Mar-21 22:38:30] Attempting to import pylux module from "C:/Program Files/LuxRender"
[Lux 2016-Mar-21 22:38:30] Failed to import pylux module from "C:/Program Files/LuxRender"
[Lux 2016-Mar-21 22:38:30] Attempting to import pylux module from "C:\Users\Rusty Wright\AppData\Roaming\Blender Foundation\Blender\2.77\scripts\addons\luxrender"
[Lux 2016-Mar-21 22:38:30] WARNING: Binary pylux module not available! Visit http://www.luxrender.net/ [^] to obtain one for your system.
[Lux 2016-Mar-21 22:38:30] (ImportError was: Module use of python34.dll conflicts with this version of Python.)
[Lux 2016-Mar-21 22:38:30] Attempting to import pyluxcore module from "C:/Program Files/LuxRender"
[Lux 2016-Mar-21 22:38:30] Failed to import pyluxcore module from "C:/Program Files/LuxRender"
[Lux 2016-Mar-21 22:38:30] Attempting to import pyluxcore module from "C:\Users\Rusty Wright\AppData\Roaming\Blender Foundation\Blender\2.77\scripts\addons\luxrender"
[Lux 2016-Mar-21 22:38:30] WARNING: Binary pyluxcore module not available! Visit http://www.luxrender.net/ [^] to obtain one for your system.
[Lux 2016-Mar-21 22:38:30] (ImportError was: Module use of python34.dll conflicts with this version of Python.)
[Lux 2016-Mar-21 22:38:30] Installed scene post-update handler
Additional InformationBlender log window output:

Read new prefs: C:\Users\Rusty Wright\AppData\Roaming\Blender Foundation\Blender\2.77\config\userpref.blend
found bundled python: C:\Program Files\Blender Foundation\Blender\2.77\python
[Lux 2016-Mar-21 22:38:30] Attempting to import pylux module from "C:/Program Files/LuxRender"
[Lux 2016-Mar-21 22:38:30] Failed to import pylux module from "C:/Program Files/LuxRender"
[Lux 2016-Mar-21 22:38:30] Attempting to import pylux module from "C:\Users\Rusty Wright\AppData\Roaming\Blender Foundation\Blender\2.77\scripts\addons\luxrender"
[Lux 2016-Mar-21 22:38:30] WARNING: Binary pylux module not available! Visit http://www.luxrender.net/ [^] to obtain one for your system.
[Lux 2016-Mar-21 22:38:30] (ImportError was: Module use of python34.dll conflicts with this version of Python.)
[Lux 2016-Mar-21 22:38:30] Attempting to import pyluxcore module from "C:/Program Files/LuxRender"
[Lux 2016-Mar-21 22:38:30] Failed to import pyluxcore module from "C:/Program Files/LuxRender"
[Lux 2016-Mar-21 22:38:30] Attempting to import pyluxcore module from "C:\Users\Rusty Wright\AppData\Roaming\Blender Foundation\Blender\2.77\scripts\addons\luxrender"
[Lux 2016-Mar-21 22:38:30] WARNING: Binary pyluxcore module not available! Visit http://www.luxrender.net/ [^] to obtain one for your system.
[Lux 2016-Mar-21 22:38:30] (ImportError was: Module use of python34.dll conflicts with this version of Python.)
[Lux 2016-Mar-21 22:38:30] Installed scene post-update handler
TagsNo tags attached.
Mercurial Changeset #fffff5c
Requires Documentation UpdateNo
Requires Exporter Update
Attached Files

- Relationships

-  Notes
(0004308)
SATtva (developer)
2016-03-22 04:08

It's a known issue, see http://www.luxrender.net/forum/viewtopic.php?p=121779#p121779 [^]
(0004315)
B.Y.O.B. (developer)
2016-03-31 02:13

It should be fixed in the latest daily builds: http://www.luxrender.net/forum/viewtopic.php?f=30&t=12147#p113374 [^]
(0004327)
neo2068 (developer)
2016-09-06 04:16

Updated python dependencies to version 3.5.1 in windows_bin_deps

- Issue History
Date Modified Username Field Change
2016-03-22 03:25 lumpynose New Issue
2016-03-22 03:26 lumpynose Summary v1.6RC1 => v1.6RC1, blender 2.77, python version mismatch?
2016-03-22 04:08 SATtva Note Added: 0004308
2016-03-31 02:13 B.Y.O.B. Note Added: 0004315
2016-09-06 04:16 neo2068 Mercurial Changeset # => fffff5c
2016-09-06 04:16 neo2068 Note Added: 0004327
2016-09-06 04:16 neo2068 Status new => resolved
2016-09-06 04:16 neo2068 Resolution open => fixed
2016-09-06 04:16 neo2068 Assigned To => neo2068


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker